Bug 193218 - Allow to build devel/google-sparsehash with clang compiler
Summary: Allow to build devel/google-sparsehash with clang compiler
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Vasil Dimov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-01 12:50 UTC by Dmitry Sivachenko
Modified: 2014-09-15 15:36 UTC (History)
2 users (show)

See Also:


Attachments
fix build with clang (2.54 KB, text/plain)
2014-09-01 12:50 UTC, Dmitry Sivachenko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Sivachenko freebsd_committer 2014-09-01 12:50:20 UTC
Allow to build devel/google-sparsehash port with clang compiler.
Comment 1 Dmitry Sivachenko freebsd_committer 2014-09-01 12:50:54 UTC
Created attachment 146628 [details]
fix build with clang
Comment 2 Sean Bruno freebsd_committer 2014-09-01 17:08:54 UTC
Comment on attachment 146628 [details]
fix build with clang

Can you schedule a reports build or do you want me to do it?
Comment 3 Dmitry Sivachenko freebsd_committer 2014-09-01 17:53:29 UTC
(In reply to Sean Bruno from comment #2)
> Comment on attachment 146628 [details]
> fix build with clang
> 
> Can you schedule a reports build or do you want me to do it?


What is reports build?
Comment 4 Sean Bruno freebsd_committer 2014-09-01 18:13:11 UTC
sorry, I meant "redport"

http://redports.org

Its a free testing service for freebsd ports.  I'm running a test of this patch now.
Comment 5 Sean Bruno freebsd_committer 2014-09-01 19:44:59 UTC
https://redports.org/buildarchive/20140901191626-49361/

This builds successfully and eliminates a need for gcc.  Let's get this committed.
Comment 6 Sean Bruno freebsd_committer 2014-09-03 17:36:17 UTC
Created review:
https://reviews.freebsd.org/D718

Passes redports building:
https://redports.org/buildarchive/20140901191626-49361/
Comment 7 commit-hook freebsd_committer 2014-09-15 15:35:23 UTC
A commit references this bug:

Author: sbruno
Date: Mon Sep 15 15:35:19 UTC 2014
New revision: 368270
URL: http://svnweb.freebsd.org/changeset/ports/368270

Log:
  Fixup templates and remove gcc dependency in this port.

  Side effect, allows compilation on armv6.

  PR:		193218
  Submitted by:	demon@FreeBSD.org
  Reviewed by:	bdrewery (mentor)
  Approved by:	maintainer timeout

Changes:
  head/devel/google-sparsehash/Makefile
  head/devel/google-sparsehash/files/
  head/devel/google-sparsehash/files/patch-src__sparsehash__internal__sparsehashtable.h
Comment 8 Sean Bruno freebsd_committer 2014-09-15 15:36:13 UTC
Thank you for the patch, this has been accepted and committed to ports!